<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="GRP_TREE.html"><font color="#008000">GRP_TREE</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Tree representation"</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_gui</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="GUI.html"><font color="#008000">GUI</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">root_item</font></strong>:<a href="GUI_ITEM.html"><font color="#008000">GUI_ITEM</font></a>;  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">area_intern</font></strong>:<a href="GUI_INTERN.html"><font color="#008000">GUI_INTERN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">bmp_tree</font></strong>:<a href="AREA.html"><font color="#008000">AREA</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Creation</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create_in</font></strong> f:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">at</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">size</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">with</font></strong> itm:<a href="GUI_ITEM.html"><font color="#008000">GUI_ITEM</font></a> :<font color="#008000">SELF</font> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make_in</font></strong> f:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">at</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">size</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">with</font></strong> itm:<a href="GUI_ITEM.html"><font color="#008000">GUI_ITEM</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Line manager.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">set_position</font></strong> rac:<a href="GUI_ITEM.html"><font color="#008000">GUI_ITEM</font></a> <-
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Display.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
      
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Event.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  </B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">receive</font></strong> msg:<a href="EVENT.html"><font color="#008000">EVENT</font></a> <-  
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">bmp_width_max</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">update_position</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">open_group</font></strong> rac:<a href="GUI_ITEM.html"><font color="#008000">GUI_ITEM</font></a> <strong><font color="#0000FF">at</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">close_group</font></strong> rac:<a href="GUI_ITEM.html"><font color="#008000">GUI_ITEM</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">last_group</font></strong>:<a href="ITM_GROUP.html"><font color="#008000">ITM_GROUP</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_group</font></strong> rac:<a href="GUI_ITEM.html"><font color="#008000">GUI_ITEM</font></a> <strong><font color="#0000FF">at</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (px,py:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
 
</body>
</html>
 